aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorManjunath Ranganathaiah <manjunath.ranganathaiah@intel.com>2018-08-27 17:00:26 -0700
committerManjunath Ranganathaiah <manjunath.ranganathaiah@intel.com>2018-08-27 17:20:56 -0700
commita5c07a62289e05e3fc7ee0d3baa702c8c3299356 (patch)
treecf7b1925a5be2692541031b3fb19ecafb2a45c05
parentb4133b73e86c4f8cbd4284dde9970c2e8216baa4 (diff)
Add build script for testcaservice container
Add script to build and push the image to nexus repo. Invoke the script from top level build script. Issue-ID: AAF-447 Change-Id: I112efd4b484ee05e0ba0811efcb8ba7082a5d621 Signed-off-by: Manjunath Ranganathaiah <manjunath.ranganathaiah@intel.com>
-rwxr-xr-xbin/build_images.sh4
-rwxr-xr-xbin/caservicecontainer/build_testcaservice_image.sh39
2 files changed, 43 insertions, 0 deletions
diff --git a/bin/build_images.sh b/bin/build_images.sh
index 43996ed..d47a893 100755
--- a/bin/build_images.sh
+++ b/bin/build_images.sh
@@ -12,3 +12,7 @@ chmod 755 build_distcenter_image.sh
cd ../abrmdcontainer
chmod 755 build_abrmd_image.sh
./build_abrmd_image.sh
+
+cd ../caservicecontainer
+chmod 755 build_testcaservice_image.sh
+./build_testcaservice_image.sh
diff --git a/bin/caservicecontainer/build_testcaservice_image.sh b/bin/caservicecontainer/build_testcaservice_image.sh
new file mode 100755
index 0000000..0760950
--- /dev/null
+++ b/bin/caservicecontainer/build_testcaservice_image.sh
@@ -0,0 +1,39 @@
+#!/bin/bash
+set -e
+DIRNAME=`dirname $0`
+DOCKER_BUILD_DIR=`cd $DIRNAME/; pwd`
+echo "DOCKER_BUILD_DIR=${DOCKER_BUILD_DIR}"
+cd ${DOCKER_BUILD_DIR}
+
+BUILD_ARGS="--no-cache"
+ORG="onap"
+VERSION="3.0.0"
+PROJECT="aaf"
+IMAGE="testcaservice"
+DOCKER_REPOSITORY="nexus3.onap.org:10003"
+IMAGE_NAME="${DOCKER_REPOSITORY}/${ORG}/${PROJECT}/${IMAGE}"
+TIMESTAMP=$(date +"%Y%m%dT%H%M%S")
+
+if [ $HTTP_PROXY ]; then
+ BUILD_ARGS+=" --build-arg HTTP_PROXY=${HTTP_PROXY}"
+fi
+if [ $HTTPS_PROXY ]; then
+ BUILD_ARGS+=" --build-arg HTTPS_PROXY=${HTTPS_PROXY}"
+fi
+echo $BUILD_ARGS
+
+function build_image {
+ echo "Start build docker image: ${IMAGE_NAME}:latest"
+ docker build ${BUILD_ARGS} -t ${IMAGE_NAME}:latest -f dockerfile .
+}
+
+function push_image {
+ echo "Start push ${IMAGE_NAME}:latest"
+ docker push ${IMAGE_NAME}:latest
+ echo "Start push ${IMAGE_NAME}:${VERSION}-SNAPSHOT-latest"
+ docker tag ${IMAGE_NAME}:latest ${IMAGE_NAME}:${VERSION}-SNAPSHOT-latest
+ docker push ${IMAGE_NAME}:${VERSION}-SNAPSHOT-latest
+}
+
+build_image
+push_image